curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"purpose": "BOOKKEEPING_ONBOARDING",
"state": "SCHEDULED",
"call_type": "ZOOM",
"event_start_at": "2023-11-07T05:31:56Z",
"call_link": "<string>",
"cancellation_reason": "<string>",
"did_attend": true,
"invitee_email": "<string>",
"bookkeeper_name": "<string>",
"bookkeeper_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"type": "call_booking"
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"sort_order": "ASC",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}List call bookings
Returns booking details for a business, including scheduled, completed, and cancelled calls. Cancelled bookings are excluded by default. Use this endpoint when you need meeting links, attendance, or bookkeeper contact details. Authenticate with a platform access token or a business-scoped token authorized for this business.
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.layerfi.com/v1/businesses/{businessId}/call-bookings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"purpose": "BOOKKEEPING_ONBOARDING",
"state": "SCHEDULED",
"call_type": "ZOOM",
"event_start_at": "2023-11-07T05:31:56Z",
"call_link": "<string>",
"cancellation_reason": "<string>",
"did_attend": true,
"invitee_email": "<string>",
"bookkeeper_name": "<string>",
"bookkeeper_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"type": "call_booking"
}
],
"meta": {
"type": "request_metadata",
"pagination": {
"sort_by": "<string>",
"sort_order": "ASC",
"cursor": "<string>",
"has_more": true,
"total_count": 123
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UUID of the business.
Query Parameters
Filter by scheduled, completed, or cancelled booking state (case-insensitive). When supplied, this filter takes precedence over include_deleted, so status=cancelled returns cancelled bookings even when include_deleted is false.
"cancelled"
Include cancelled bookings when no status filter is supplied.
Sort by a timestamp or derived booking state. Ascending state order is scheduled, completed, then cancelled.
event_start_at, created_at, updated_at, status, state ASC, DESC Opaque cursor from meta.pagination.cursor. Omit for the first page. Keep filters and sort settings unchanged between pages.
Maximum number of results per page.
1 <= x <= 1000Include the total number of matching results in meta.pagination.total_count.